Bug 1356477 - missing dependency on binutils
Summary: missing dependency on binutils
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rpmgrill
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Roman Joost
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1222429 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-14 08:30 UTC by Kamil Páral
Modified: 2017-01-03 00:51 UTC (History)
6 users (show)

Fixed In Version: rpmgrill-0.28-2.fc23 rpmgrill-0.28-2.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-08-24 16:22:42 UTC
Type: Bug


Attachments (Terms of Use)

Description Kamil Páral 2016-07-14 08:30:10 UTC
Description of problem:
If binutils are not installed, rpmgrill can't execute certain checks and complains:

rpmgrill: Error running strings: No such file or directory at /usr/share/perl5/vendor_perl/RPM/Grill/Plugin/SecurityPolicy.pm line 108.

https://taskotron-dev.fedoraproject.org/artifacts/all/9470b61a-4999-11e6-a366-525400571835/task_output/rpmgrill.json

Please add dependency on binutils.

Version-Release number of selected component (if applicable):
rpmgrill-0.28-1.fc23.noarch

How reproducible:
always

Steps to Reproduce:
1. run rpmgrill without binutils and look at rpmgrill.json output

Comment 1 Kamil Páral 2016-08-22 16:33:12 UTC
Come on, people, this is a trivial fix! And people are hitting this and complaining!

Comment 2 Roman Joost 2016-08-22 23:34:40 UTC
Dear Kamil,

Sorry for missing this. I'll see if I get it rebuild asap.

Comment 3 Fedora Update System 2016-08-23 02:08:26 UTC
rpmgrill-0.28-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-ded36492f7

Comment 4 Fedora Update System 2016-08-23 02:19:37 UTC
rpmgrill-0.28-2.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-d1861f2d10

Comment 5 Fedora Update System 2016-08-23 02:30:33 UTC
rpmgrill-0.28-2.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a4de0434e9

Comment 6 Kamil Páral 2016-08-23 09:18:46 UTC
Thanks Roman! I tested it and it seems to work.

Comment 7 Fedora Update System 2016-08-23 09:23:46 UTC
rpmgrill-0.28-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-ded36492f7

Comment 8 Fedora Update System 2016-08-23 16:19:41 UTC
rpmgrill-0.28-2.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a4de0434e9

Comment 9 Fedora Update System 2016-08-23 16:21:34 UTC
rpmgrill-0.28-2.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-d1861f2d10

Comment 10 Fedora Update System 2016-08-24 13:50:02 UTC
rpmgrill-0.28-2.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-08-24 16:22:38 UTC
rpmgrill-0.28-2.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-08-27 10:15:21 UTC
rpmgrill-0.28-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Roman Joost 2017-01-03 00:51:32 UTC
*** Bug 1222429 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.